---
title: VRDisplay.stageParameters
slug: Web/API/VRDisplay/stageParameters
tags:
  - API
  - Experimental
  - Property
  - Reference
  - VR
  - VRDisplay
  - Virtual Reality
  - WebVR
  - stageParameters
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>stageParameters</strong></code> read-only property of the {{domxref("VRDisplay")}} interface returns a {{domxref("VRStageParameters")}} object containing room-scale parameters, if the <code>VRDisplay</code> is capable of supporting room-scale experiences.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myStageParameters = vrDisplayInstance.stageParameters;
</pre>

<h3 id="Value">Value</h3>

<p>{{domxref("VRStageParameters")}} object containing the <code>VRDisplay</code>'s room-scale parameters, or <code>null</code> if the <code>VRDisplay</code> is not capable of supporting room-scale experiences.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRStageParameters", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrdisplay-stageparameters', 'stageParameters')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRDisplay.stageParameters")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
